Favicon

You are here: Home > API Reference > App Distribution > Application Downloads Info > Get list of download by csv

Get list of download by csv

Required Permission: mad.download.management.list

Get list of download by csv

GET
/v1/organizations/organizationId/apps/applicationId/downloads/csv
Copy to clipboard

Get list of download by csv

Required Permission: mad.download.management.list

Get list of download by csv

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
applicationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
email string
optional
≤ 128 characters
iniDate string
optional
Format: date-time
endDate string
optional
Format: date-time
from string
optional
storesdkdashboardintegrationApiemmadmscimagentwin
memberType string
optional
useremployeemdmUserunknownanonymous

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
from string optional
store sdk dashboard integrationApi emm adm scim agent win
member object optional
type string optional
user employee mdmUser unknown anonymous
memberId string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
firstName string optional
≤ 128 characters
lastName string optional
≤ 128 characters
picture string optional
user string optional
Match pattern: ^[a-fA-F0-9]{24}$
employee string optional
Match pattern: ^[a-fA-F0-9]{24}$
mdmUser string optional
Match pattern: ^[a-fA-F0-9]{24}$
build object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
os string optional
ios android macos windows package
buildPlatform string optional
≤ 128 characters
icon string optional
≤ 128 characters
versionName string optional
≤ 256 characters
info object optional
device object optional
model string optional
≤ 128 characters
type string optional
≤ 128 characters
storageProvider object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
region string optional
≤ 128 characters
type string optional
≤ 128 characters
provider string optional
≤ 128 characters
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
organizationInfo object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
slug string optional
≤ 128 characters · ≥ 3 characters · Match pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]$
store object optional
customDomain string optional
≤ 256 characters
branding object optional
logo string optional
≤ 256 characters
picture string optional
primaryColor string optional
Match pattern: ^#[a-zA-Z0-9]{6}$
configuration object optional
storageProvider string optional
Match pattern: ^[a-fA-F0-9]{24}$
createdBy string optional
Match pattern: ^[a-fA-F0-9]{24}$
application object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
os object optional
name string optional
≤ 128 characters
version string optional
≤ 128 characters
networkInfo object optional
ip string optional
≤ 128 characters
city string optional
≤ 128 characters
continent string optional
≤ 128 characters
country string optional
≤ 128 characters
latitude number optional
Format: float · ≥ -90 · ≤ 90
longitude number optional
Format: float · ≥ -180 · ≤ 180
postalCode string optional
≤ 128 characters
region string optional
≤ 128 characters
regionCode string optional
≤ 128 characters
timezone string optional
≤ 128 characters
visitor string optional
≤ 128 characters
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "from": "store",
                "member": {
                    "type": "user",
                    "memberId": "string",
                    "email": "[email protected]",
                    "firstName": "string",
                    "lastName": "string",
                    "picture": "string",
                    "user": "string",
                    "employee": "string",
                    "mdmUser": "string"
                },
                "build": {
                    "id": "string",
                    "os": "ios",
                    "buildPlatform": "string",
                    "icon": "string",
                    "versionName": "string"
                },
                "info": {},
                "device": {
                    "model": "string",
                    "type": "string"
                },
                "storageProvider": {
                    "id": "string",
                    "name": "string",
                    "region": "string",
                    "type": "string",
                    "provider": "string"
                },
                "organization": "string",
                "organizationInfo": {
                    "id": "string",
                    "name": "string",
                    "slug": "string",
                    "store": {
                        "customDomain": "string"
                    },
                    "branding": {
                        "logo": "string",
                        "picture": "string",
                        "primaryColor": "string"
                    },
                    "configuration": {
                        "storageProvider": "string"
                    },
                    "createdBy": "string"
                },
                "application": {
                    "id": "string",
                    "name": "string"
                },
                "os": {
                    "name": "string",
                    "version": "string"
                },
                "networkInfo": {
                    "ip": "string",
                    "city": "string",
                    "continent": "string",
                    "country": "string",
                    "latitude": 0,
                    "longitude": 0,
                    "postalCode": "string",
                    "region": "string",
                    "regionCode": "string",
                    "timezone": "string",
                    "visitor": "string"
                },
                "updatedAt": "2024-01-01T00: 00:00Z",
                "createdAt": "2024-01-01T00: 00:00Z"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5049
message string optional
No data
{
    "status": false,
    "error": {
        "code": 5049,
        "message": "No data"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}